import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.util.ArrayList;

import sd.computer.QuadraticMeasure;
import sd.constants.Constants;
import sd.data.Database;

public class ComputeQRScore {
	public static void main(String[] args) {
		try {
			Test.readInputString(args);
			String file = Constants.FILEIN;
			String fileOut = Constants.FILEOUT;
			int numNumeric = Constants.NUMERIC;
			int numOrdinal = Constants.ORDINAL;
			int numCategoric = Constants.CATEGORIC;
			int numNumericTarget = Constants.NUMTARGET;
			int numOrdinalTarget = Constants.ORDTARGET;
			int numCategoricTarget = Constants.CATTARGET;
			
			Database db = Test.readData(file, numNumeric, numOrdinal, numCategoric, numNumericTarget, numOrdinalTarget, numCategoricTarget);
			int m = db.getPoints().size();
			ArrayList<Integer> pids = new ArrayList<Integer>();
			for (int i = 0; i < m; i++) {
				pids.add(i);
			}
			
			BufferedWriter writer = new BufferedWriter(new FileWriter(new File(fileOut)));
			writer.write(Double.toString(QuadraticMeasure.score(db, pids, pids)));
			writer.flush();
			writer.close();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}