package sd.computer;

import java.util.List;

import sd.data.Database;

public class MeanStd {
	public static double mean(Database db, List<Integer> pids) {
		double sum = 0;
		for (Integer p : pids) {
			sum += db.getPoints().get(p).getNumericTarget()[0];
		}
		
		return sum / pids.size();
	}
	
	public static double std(Database db, List<Integer> pids, double mean) {
		double sum = 0;
		for (Integer p : pids) {
			//sum += Math.pow(db.getPoints().get(p).getNumericTarget()[0], 2);
			sum += Math.pow(db.getPoints().get(p).getNumericTarget()[0] - mean, 2);
		}
		
		if (sum == 0) {
			return 0;
		}
		
		//return Math.sqrt(sum / pids.size() - mean * mean);
		return Math.sqrt(sum / (pids.size() - 1));
	}
	
	public static double score(int s, double smean, double mean, double std) {
		if (std == 0) {
			return 0;
		}
		
		return Math.abs(Math.sqrt(s) * (smean - mean) / std);
	}
}