package sd.score;

import java.util.ArrayList;

import sd.computer.QuadraticMeasure;
import sd.constants.Constants;
import sd.data.Database;
import sd.discretizer.Bin;

public class Score {
	public double first;
	public double second;
	public int s;
	public int m;
	public int spos;
	public int mpos;
	
	public static Score score(Database db, Bin c) {
		ArrayList<Integer> pids = c.getPoints();
		Score ret = new Score();
		ret.s = pids.size();
		
		if (Constants.SAMPLING && Constants.SUBSAMPLE != null) {
			ret.m = Constants.SUBSAMPLE.size();
		} else {
			ret.m = db.getPoints().size();
		}
		
		ret.first = QuadraticMeasure.firstTerm(db, pids);
		ret.second = QuadraticMeasure.secondTerm(db, pids);
		return ret;
	}
}